Subject: RE: some newbie questions about the c++ libraries included in Cyg win...
From: "Craveiro, Marco" <[email-masked]>
To: "'valcados NOLASTNAME'" <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Jun 2001 09:47:03 +0200

hello mate, 

i think you need to look at the gcc mailing list for this type of questions.
at any rate, 
the library you want to use is called ncurses and you should have a man page
/ howto for it on any
linux distribution. it is not the easiest thing to learn, and you'll
probably have to interface to it via c, 
which if anything will confuse you more. 

if you really want to learn c++ using gcc i strongly advise you to find a
standards compliant
book; IMHO any book that suits only one compiler cannot be a good book. to
get a few ideas for books 
make a search in the archives of the usenet c++ newsgroup (you can get to it
from www.dejanews.com).

hope it helps,

soup

> -----Original Message-----
> From:	valcados NOLASTNAME [SMTP:[email-masked]]
> Sent:	01 June 2001 07:21
> To:	[email-masked]
> Subject:	some newbie questions about the c++ libraries included in
> Cygwin...
> 
> First let me say I really think Cygwin is great, and I apologize much for 
> posting such a newbie question.  My C++ textbook is built around the
> Zortech 
> compiler (which i cannot afford), and certain things in it require
> Zortech, 
> but say:  "If you're using a different compiler, consult it's manual"..  
> well, the manuals on here seem to be big enough that you could make a 5
> year 
> university course out of them.. :) and 90% of their content is above my 
> head..  so, I'm really sorry for posting such newbie questions here, but 
> it's either post here, spend the next 5 years reading them, or give up...
> 
> my 2 questions are...  what function to use, and which included header
> file 
> to use  (assuming this is included in Cygwin) to change the cursor
> position? 
>   the equivalent to the "locate" command in basic...  the function my 
> textbook uses for this requires a header file only in an expensive
> compiler. 
>   And, which function/header file to change the color of the text sent to 
> stdout?  Again, the function in my textbook requires an expensive
> compiler.  
> I tried looking through the header files in /cygwin/usr/... but it seemed 
> like they consisted 99% of declarations and #defines and such, without any
> 
> actual function(s) in sight.
> 
> Thank you very much in advance, and again sorry for posting such a newbie 
> questions.
> _________________________________________________________________
> Get your FREE download of MSN Explorer at http://explorer.msn.com
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple